RBUIC(1)

NAME
rbuic - The Qt Ruby UI Compiler

SYNOPSIS
Generate implementation: rbuic [options] uifile

Generate subclass implementation: rbuic [options] -subimpl <classname> <uifile>

Generate image collection: rbuic [options] -embed <project> <image1> <image2> <image3> ...

DESCRIPTION
Rbuic is the Qt Ruby UI Compiler. It generates Ruby code from a XML UI Description file. This XML UI Description file can be generated by Qt Designer, Qt's graphical UI designer. Rbuic is the Ruby equivalent for the C++ uic program. When invoked to generate an implementation, rbuic generates Ruby code for the Qt UI Description File passed to it, and outputs it on standard output. When invoked to generate a subclass implementation, rbuic generates template Ruby code for a subclass of the widget in the Qt UI Description File passed to it, and outputs it on standard output. When invoked to generate an image collection, rbuic generates Ruby code containing the image data in strings. This is useful to avoid having to distribute image files along with your application. It is arguably more useful for C++ ( where the image strings can be compiled into an executable ), but still, it is available for Ruby as well.

OPTIONS

-o <file>
    Write output to file rather than stdout.

-p <indent>
    Set the indent in spaces (0 to use a tab)

-nofwd
    Omit imports of custom widgets

-kde
    Use TDE widgets, require 'Korundum' extension

-tr <func>
    Use func(...) rather than trUtf8(...) for i18n

-x  Generate extra code to test the class

-version
    Print the Rbuic and Qt versions

-help
    Display some help information.

AUTHOR
Germain Garand Phil Thompson

SEE ALSO
uic(1)